<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="card">
  <div class="py-3">
    <p-button label="Back" icon="pi pi-chevron-left" [text]="true" severity="secondary" [routerLink]="isLoggedIn ? '/marketplace/services' : '/'"></p-button>
    <div class="flex items-center gap-32 px-10 pb-10">
      <div class="text-center flex flex-col items-center pl-16 pb-24 pt-16">
        <div class="font-semibold text-xxl tracking-wide w-80 h-24">Connect to active Data Broker</div>
        <div class="w-96 h-52 flex items-center justify-start">You can connect to an active data broker by specifying the address where it is accessible</div>
        <p-button label="Connect using address" severity="secondary" routerLink="/onboarding/connect-to-node/custom-address"></p-button>
      </div>
      <div class="h-96"><app-divider [vertical]="true"></app-divider></div>
      <div class="bg-secondary-900 px-20 rounded-sm text-white text-center flex flex-col items-center pb-24 pt-16">
        <div class="font-semibold text-xxl tracking-wide w-96 h-24">Run auto-detection</div>
        <div class="w-96 h-64 flex flex-col items-center justify-start gap-10">
          <div class="">If your Data Broker is running on default localhost address</div>
          <div class="font-semibold bg-dialogGrey rounded-sm px-4 py-2 text-text-500">https://localhost:444</div>
          <div>you can run auto-detection</div>
        </div>
        <p-button label="Run auto-detection" routerLink="/onboarding/connect-to-node/detection"></p-button>
      </div>
    </div>
  </div>
</div>
